| Home | Libraries | People | FAQ | More

## Function template float_sort

boost::sort::spreadsort::float_sort — Float sort algorithm using range with both right-shift and user-defined comparison operator.

## Synopsis

    // In header: <boost/sort/spreadsort/float_sort.hpp>

    template<typename Range, typename Right_shift, typename Compare>
      void float_sort(Range & range, Right_shift rshift, Compare comp);

## Description

Parameters: |
`range` | Range [first, last) for sorting.
`rshift` | Functor that returns the result of shifting the value_type right a specified number of bits.
`comp` | A binary functor that returns whether the first element passed to it should go before the second in order.